<div class="container">
  <h1>Login Form:</h1>
  <form [formGroup]="loginForm" #formDir="ngForm">
    <input type="email" id="nom" name="nom" placeholder="nom"
           formControlName="nom" required><br/>
    <div>
      <div *ngIf="loginForm. controls ['nom']?.errors?.['required']">
        Nom és obligatori.
      </div>
      <div *ngIf="loginForm.controls['nom']?.errors?.['emailStrength']">
        El correu ha de ser ies-sabadell.cat
      </div>
      <div *ngIf="loginForm.controls['nom' ]?.errors?.['minlength']">
        El nom ha de tenir almenys 7 caracters.
      </div>
    </div>
    <input type="password" placeholder="Password"
           formControlName="password" required>
    <br/>
    @if(loginForm.controls['password']?.errors?.['required']){
      <div>Password is required.</div>
    }
    @if(loginForm.controls['password']?.errors?.['minlength']){
      <div>
        El nom ha de tenir almenys 8 caracters.
      </div>
    }
    @if(loginForm.controls['password']?.errors?.['passwordStrength']){
      <div>Han d'haver números lletres minuscules i lletres majuscules.</div>
    }
  </form>
  <button (click)="login()"
          [disabled]="!loginForm.valid">Login</button>
  <p>{{message}}</p>
</div>
